Anonymous Login
2019-06-19 05:46 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001127v3.0 Release[All Projects] Generalpublic2013-08-28 11:18
Reporterferbiotec 
Assigned Tocaseydk 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version3.0.0 
Summary0001127: After applying the 0000957 correction, excluding task logs mantain the progress at 100%.
DescriptionAfter applying the 0000957 correction, excluding task logs that updated the progress to 100% doesn't return the progress to the previous log value. The system maintain the progress at 100%, but only if the progress was updated to 100%.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0002546

ferbiotec (reporter)

I just installed the 3.0-pre version to see if this issue has already been solved, but it is present in the latest version too. Excluding task logs after they reached 100% doesn`t return the progress to the last log value. In case of some user error registering the progress, we can`t go back unless the admin edits the task itself. I`m not a programmer, but it has something to do with the if-else statement in the modules/tasks/tasklogs.class or logs.class file.
(I solved the question changing the "<100" for a "<101" but I know that this is a stupid solution).

~0002599

caseydk (administrator)

Resolved for v3, patch cannot be applied to 2.x
+Notes

-Issue History
Date Modified Username Field Change
2012-04-12 14:51 ferbiotec New Issue
2012-04-21 19:07 caseydk Project v2.4 Release (Closed) => v3.0 Release
2012-06-03 09:53 ferbiotec Note Added: 0002546
2012-07-14 19:50 caseydk Note Added: 0002599
2012-07-14 19:50 caseydk Status new => resolved
2012-07-14 19:50 caseydk Resolution open => fixed
2012-07-14 19:50 caseydk Assigned To => caseydk
2013-08-28 11:14 caseydk Fixed in Version => 3.0.0
2013-08-28 11:18 caseydk Status resolved => closed
+Issue History